=== debian/changelog ===
mapcode (2.5.1-1) unstable; urgency=medium

  * Initial release (Closes: #842784)

 -- Stefan Fritsch <sf@debian.org>  Wed, 02 Nov 2016 19:24:20 +0100
