=== debian/control ===
Source: mapcode
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Stefan Fritsch <sf@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 3.3)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcode.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcode.git
Homepage: http://www.mapcode.com/
Multi-Arch: foreign

Package: mapcode
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Convert geo coordinates to/from mapcodes
 A mapcode represents a location. Every location on Earth can be
 represented by a mapcode. Mapcodes were designed to be short, easy to
 recognise, remember and communicate. They are precise to a few meters,
 which is good enough for every-day use. Locations in densely populated
 areas often get shorter mapcodes. See http://www.mapcode.com/
 .
 This package contains a command line utility that can convert to and
 from mapcodes.
