=== debian/watch ===
version=3

https://github.com/mapcode-foundation/mapcode-cpp/releases v(.*).tar.gz
