## mapcode 2.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # NO_FAST_ENCODE        - Drop fast encoding support - only for internal use.
 
 set(MAPCODE_OPTIONS "")
-set(MAPCODE_WARNING_OPTIONS "-Wall -Werror")
+set(MAPCODE_WARNING_OPTIONS "-Wall -Werror -Wextra")
 set(MAPCODE_SANITIZER_COMPILER_OPTIONS "-fsanitize=address -fno-common -fno-optimize-sibling-calls -fno-omit-frame-pointer")
 set(MAPCODE_SANITIZER_LINKER_OPTIONS "-fsanitize=address")
 
@@ -48,8 +48,34 @@
         mapcodelib/internal_alphabet_recognizer.h
         mapcodelib/internal_iso3166_data.h
         mapcodelib/internal_territory_alphabets.h
-        mapcodelib/internal_territory_names_english.h
+        mapcodelib/internal_territory_names_af.h
+        mapcodelib/internal_territory_names_ar.h
+        mapcodelib/internal_territory_names_be.h
+        mapcodelib/internal_territory_names_cn.h
+        mapcodelib/internal_territory_names_cs.h
+        mapcodelib/internal_territory_names_da.h
+        mapcodelib/internal_territory_names_de.h
+        mapcodelib/internal_territory_names_en.h
+        mapcodelib/internal_territory_names_es.h
+        mapcodelib/internal_territory_names_fi.h
+        mapcodelib/internal_territory_names_fr.h
+        mapcodelib/internal_territory_names_he.h
+        mapcodelib/internal_territory_names_hi.h
+        mapcodelib/internal_territory_names_hr.h
+        mapcodelib/internal_territory_names_id.h
+        mapcodelib/internal_territory_names_it.h
+        mapcodelib/internal_territory_names_ja.h
+        mapcodelib/internal_territory_names_ko.h
         mapcodelib/internal_territory_names_local.h
+        mapcodelib/internal_territory_names_nl.h
+        mapcodelib/internal_territory_names_no.h
+        mapcodelib/internal_territory_names_pl.h
+        mapcodelib/internal_territory_names_pt.h
+        mapcodelib/internal_territory_names_ru.h
+        mapcodelib/internal_territory_names_sv.h
+        mapcodelib/internal_territory_names_sw.h
+        mapcodelib/internal_territory_names_tr.h
+        mapcodelib/internal_territory_names_uk.h
         mapcodelib/internal_territory_search.h
         mapcodelib/mapcode_alphabets.h
         mapcodelib/mapcode_legacy.c
@@ -58,18 +84,30 @@
         mapcodelib/mapcoder.c
         mapcodelib/mapcoder.h)
 
-set(SOURCE_FILES_UNITTEST
-        unittest/decode_test.h
-        unittest/unittest.c)
+set(SOURCE_FILES_TEST
+        test/decode_test.h
+        test/unittest.c)
 
 set(SOURCE_FILES_UTILITY
         utility/mapcode.cpp)
 
+set(THREADS_PREFER_PTHREAD_FLAG ON)
+find_package(Threads REQUIRED)
+find_library(M_LIB m)
+
 add_library(mapcodelib ${SOURCE_FILES_MAPCODELIB})
 target_include_directories(mapcodelib PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
+target_link_libraries(mapcodelib Threads::Threads)
+target_link_libraries(mapcodelib ${M_LIB})
 
-add_executable(unittest ${SOURCE_FILES_UNITTEST})
+add_executable(unittest ${SOURCE_FILES_TEST})
 target_link_libraries(unittest LINK_PUBLIC mapcodelib)
+target_link_libraries(unittest LINK_PUBLIC Threads::Threads)
+target_link_libraries(unittest LINK_PUBLIC ${M_LIB})
 
 add_executable(mapcode ${SOURCE_FILES_UTILITY})
 target_link_libraries(mapcode LINK_PUBLIC mapcodelib)
+target_link_libraries(mapcode LINK_PUBLIC Threads::Threads)
+target_link_libraries(mapcode LINK_PUBLIC ${M_LIB})
+
+install(TARGETS mapcode DESTINATION /usr/local/bin)
