=== debian/changelog ===
mapcode (2.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Stefan Fritsch <sf@debian.org>  Sun, 15 Jan 2017 15:04:54 +0100

mapcode (2.5.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Fix watch file and handle common issues.
  * Restructure control file with cme.
  * Reorder fields in copyright file.
  * Drop unused get-orig-source script.

  [ Stefan Fritsch ]
  * Add -fsigned-char to fix test failures. Closes: #843084

 -- Stefan Fritsch <sf@debian.org>  Thu, 03 Nov 2016 21:13:39 +0100
