=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Uploaders: Stefan Fritsch <sf@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9), cmake (>= 3.3)
+Build-Depends: debhelper (>= 9),
+               cmake (>= 3.3)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcode.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcode.git
 Homepage: http://www.mapcode.com/
-Multi-Arch: foreign
 
 Package: mapcode
+Multi-Arch: foreign
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
