=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,5 @@
 	dh $@ --parallel -Bobj
 
 override_dh_auto_test:
-	cd unittest && ../obj/unittest
+	cd test && ../obj/unittest
 
-#get-orig-source:
-#	. debian/get-orig-source
