## mapcode 2.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2014-2016 Stichting Mapcode Foundation (http://www.mapcode.com)
+# Copyright (C) 2014-2017 Stichting Mapcode Foundation (http://www.mapcode.com)
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
