=== debian/changelog ===
mapcode (2.5.5-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, no changes.
  * Add Rules-Requires-Root to control file.
  * Updte lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 12:19:27 +0100

mapcode (2.5.5-4) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to limit matches to archive path.
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 19:31:48 +0100

mapcode (2.5.5-3) unstable; urgency=medium

  * Team upload.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 21:12:39 +0200

mapcode (2.5.5-2) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from rules file.
  * Check DEB_BUILD_OPTIONS for nocheck in dh_auto_test override.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Jul 2018 11:07:09 +0200

mapcode (2.5.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update copyright years for Stichting Mapcode Foundation.
  * Restructure control file with cme.
  * Bump Standards-Version to 4.1.3, no changes.
  * Enable all hardening buildflags.
  * Add autopkgtest to test installability.
  * Add lintian override for spelling-error-in-binary false positive.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jan 2018 19:12:25 +0100
