=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Stefan Fritsch <sf@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                cmake (>= 3.3)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/mapcode.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/mapcode.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcode/
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcode.git
 Homepage: http://www.mapcode.com/
+Rules-Requires-Root: no
 
 Package: mapcode
+Architecture: any
 Multi-Arch: foreign
-Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: Convert geo coordinates to/from mapcodes
