=== debian/changelog ===
mapcode (2.5.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Drop cmake-4.patch, included upstream. Refresh remaining patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Sep 2025 15:25:07 +0200

mapcode (2.5.5-7) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Add upstream patch to fix FTBFS with CMake 4.x.
    (closes: #1113266)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 01 Sep 2025 07:37:36 +0200

mapcode (2.5.5-6) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:16:51 +0100
