=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Stefan Fritsch <sf@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake (>= 3.3)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcode/
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcode.git
 Homepage: http://www.mapcode.com/
