=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 # DH_VERBOSE := 1
+
+# Enable hardening build flags
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 # some helpful variables - uncomment them if needed
 # shamelessly stolen from http://jmtd.net/log/awk/
@@ -17,8 +20,9 @@
 # a similar manner are welcome.
 
 %:
-	dh $@ --parallel -Bobj
+	dh $@ -Bobj
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	cd test && ../obj/unittest
-
+endif
